
package org.mule.modules.jobvite.config;

import org.springframework.beans.factory.xml.NamespaceHandlerSupport;


/**
 * Registers bean definitions parsers for handling elements in <code>http://www.mulesoft.org/schema/mule/jobvite</code>.
 * 
 */
public class JobviteModuleNamespaceHandler
    extends NamespaceHandlerSupport
{


    /**
     * Invoked by the {@link DefaultBeanDefinitionDocumentReader} after construction but before any custom elements are parsed. 
     * @see NamespaceHandlerSupport#registerBeanDefinitionParser(String, BeanDefinitionParser)
     * 
     */
    public void init() {
        registerBeanDefinitionParser("config", new JobviteModuleConfigDefinitionParser());
        registerBeanDefinitionParser("get-candidates", new GetCandidatesDefinitionParser());
        registerBeanDefinitionParser("get-new-hires", new GetNewHiresDefinitionParser());
        registerBeanDefinitionParser("update-candidates", new UpdateCandidatesDefinitionParser());
        registerBeanDefinitionParser("update-employees", new UpdateEmployeesDefinitionParser());
    }

}
